Create Entity Access Control Grant
Creates an access-control grant
Creates an access-control grant, giving the user the level of access for the provider management entity.
Request
URI
POST
https://{api_host}/cloudapi/1.0.0/entities/{objectId}/accessControls
COPY
Path Parameters
string
objectId
Required
objectId
Request Body
AccessControlGrant
of type(s)
application/json
Optional
Show optional properties
{
"grantType": "string",
"accessLevelId": "urn:vcloud:accessLevel:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
}
{
"id": "string",
"tenant": {
"name": "string",
"id": "string"
},
"grantType": "string",
"objectId": "string",
"accessLevelId": "urn:vcloud:accessLevel:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
}
Responses
201
Created
Returns
AccessControlGrant
of type(s)
application/json;version=9.1.0
{
"id": "string",
"tenant": {
"name": "string",
"id": "string"
},
"grantType": "string",
"objectId": "string",
"accessLevelId": "urn:vcloud:accessLevel:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
}
Vendor Extension
This operation contains the following vendor extensions defined in the spec:
[{"type":"Modern"}]
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"accessLevelId":"string","grantType":"string"}' https://{api_host}/cloudapi/1.0.0/entities/{objectId}/accessControls
Availability
Added in 35.0
On This Page
Access Controls Operations
GET
Query Entity Access Control Grants
POST
Create Entity Access Control Grant
GET
Get Entity Access Control Grant
PUT
Update Entity Access Control Grant
DELETE
Remove Entity Access Control Grant